Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QXmlErrorHandler Class Reference

The QXmlErrorHandler class provides an interface to report errors in XML data. More...

     #include <QXmlErrorHandler>

Inherited by: QXmlDefaultHandler.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

virtual | ~QXmlErrorHandler ()
virtual bool | error ( const QXmlParseException & exception ) = 0
virtual QString | errorString () const = 0
virtual bool | fatalError ( const QXmlParseException & exception ) = 0
virtual bool | warning ( const QXmlParseException & exception ) = 0

## Detailed Description

The QXmlErrorHandler class provides an interface to report errors in XML data.

If you want your application to report errors to the user or to perform customized error handling, you should subclass this class.

You can set the error handler with QXmlReader::setErrorHandler().

Errors can be reported using warning(), error() and fatalError(), with the error text being reported with errorString().

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlLexicalHandler, and Introduction to SAX2.

## Member Function Documentation

### QXmlErrorHandler::~QXmlErrorHandler ()`[virtual]`

Destroys the error handler.

### bool QXmlErrorHandler::error ( const QXmlParseException & exception )`[pure virtual]`

A reader might use this function to report a recoverable error. A recoverable error corresponds to the definiton of "error" in section 1.2 of the XML 1.0 specification. Details of the error are stored in exception.

The reader must continue to provide normal parsing events after invoking this function.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.

### QString QXmlErrorHandler::errorString () const`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns false.

### bool QXmlErrorHandler::fatalError ( const QXmlParseException & exception )`[pure virtual]`

A reader must use this function to report a non-recoverable error. Details of the error are stored in exception.

If this function returns true the reader might try to go on parsing and reporting further errors, but no regular parsing events are reported.

### bool QXmlErrorHandler::warning ( const QXmlParseException & exception )`[pure virtual]`

A reader might use this function to report a warning. Warnings are conditions that are not errors or fatal errors as defined by the XML 1.0 specification. Details of the warning are stored in exception.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.